Subject: Re: bug#32356: 26.1; --file visits file later than expected

From: Noam Postavsky <[email-masked]>
Date: Fri, 03 Aug 2018 07:06:28 -0400

tags 32356 notabug
close 32356
quit

[email-masked] (Per Starbäck) writes:

> For what I was actually trying to do I needed that window, and I also
> tried (redisplay t) and other stuff in between to make it display before
> my code continued, to no avail. Visiting the file explicitly with
> find-file instead works for me. I just thought I found something strange
> on the way, but evidently not, so this can be closed.

Ah, it's because --file only sets the buffer, displaying it in a window
only happens later, when initial-buffer-choice is processed (i.e., after
all command line arguments have been processed).

(elisp) Startup Summary:

     24. [...]
         If one file is given as a command line argument, that file is
         visited and its buffer displayed alongside `initial-buffer-choice'.